Patrick_the_big

(1.4.5) Jet Sounds Continued 1.2

Recommended Posts

That explains a lot, thanks everyone; I thought it might be related to RealPlume but couldn't see how, seeing as I don't have it - and it turns out that could well be the problem eh? :D

 

I'll keep using JetSounds and await fixes to one or bpth mods before I try out BetterSRBs again - I have plenty of rockets, but I fly more jets and I would miss the sounds more!

Share this post


Link to post
Share on other sites

The Rapier config throws errors when trying to use the combo RealFuels, RealFuels-Stockalike, RealPlume, RealPlume-RFStockalike:

[ModuleManager] Applying update JetSoundsCont/Patches/RAPIER/@PART[RAPIER] to Squad/Parts/Engine/rapierEngine/rapierEngine/PART
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key volume = #$../../../PLUME[Hypergolic-Lower]/plumeScale$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key transformName = #$../../../PLUME[Hypergolic-Lower]/transformName$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key localRotation = #$../../../PLUME[Hypergolic-Lower]/localRotation[0]$,$../../../PLUME[Hypergolic-Lower]/localRotation[1]$,$../../../PLUME[Hypergolic-Lower]/localRotation[2]$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key localPosition = #$../../../PLUME[Hypergolic-Lower]/flarePosition[0]$,$../../../PLUME[Hypergolic-Lower]/flarePosition[1]$,$../../../PLUME[Hypergolic-Lower]/flarePosition[2]$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key fixedScale = #$../../../PLUME[Hypergolic-Lower]/flareScale$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key transformName = #$../../../PLUME[Hypergolic-Lower]/transformName$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key localRotation = #$../../../PLUME[Hypergolic-Lower]/localRotation[0]$,$../../../PLUME[Hypergolic-Lower]/localRotation[1]$,$../../../PLUME[Hypergolic-Lower]/localRotation[2]$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key localPosition = #$../../../PLUME[Hypergolic-Lower]/plumePosition[0]$,$../../../PLUME[Hypergolic-Lower]/plumePosition[1]$,$../../../PLUME[Hypergolic-Lower]/plumePosition[2]$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key fixedScale = #$../../../PLUME[Hypergolic-Lower]/plumeScale$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key energy = #$../../../PLUME[Hypergolic-Lower]/energy$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key speed = #$../../../PLUME[Hypergolic-Lower]/speed$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key emissionMult = #$../../../PLUME[Hypergolic-Lower]/emissionMult$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Error - Cannot parse variable search when inserting new key volume = #$../../../PLUME[Hypergolic-Lower]/plumeScale$
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)


.....


[ModuleManager] Done patching
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] Errors in patch prevents the creation of the cache
 
(Filename: C:/buildslave/unity/build/artifacts/generated/common/runtime/DebugBindings.gen.cpp Line: 51)

[ModuleManager] ModuleManager: 62808 patches applied, found <color=orange>13 errors</color>
13 errors related to GameData/JetSoundsCont/Patches/RAPIER.cfg

Edit:

I will test a replace of
PLUME[Hypergolic-Lower]
by
PLUME[Turbojet]

Edit: no MM errors at least - but if it works I can't say, not using a Rapier actually ... :cool:

 

Edited by Gordon Dry

Share this post


Link to post
Share on other sites
1 hour ago, Gordon Dry said:

The Rapier config throws errors when trying to use the combo RealFuels, RealFuels-Stockalike, RealPlume, RealPlume-RFStockalike:

That looks exactly like the issues I was having when I installed BetterSRBs, which weren't really related to JetSounds. Check the explanation given on the preceding page for how it happens and suggestions on how to fix it.

Share this post


Link to post
Share on other sites
On 9/19/2018 at 9:38 AM, JH4C said:

Well here's an interesting brainteaser... Cross-posting in both threads, apologies for duplication. FAO @Patrick_the_big

Today I installed BetterSRBs because, well because bigger rockets. However, on loading ModuleManager throws up some errors - not in BetterSRBs, but in Jet Sounds Continued!

errorladen.png

"Hm. That's weird," I think to myself, and I quit the load, save the log, remove BetterSRBs and retry - success, no errors:

errorfree.png

Obviously this isn't the end of the testing cycle; there could be a third party at work here, so I need to eliminate that possibility. I empty my GameData folder except for Squad, SquadExpansion, BetterSRBs, Jet Sounds Continued, and ModuleManager, and try again - and the errors are still there, albeit on fewer parts as it's not trying to patch the SXT engines. The log of this attempt can be found here, it progressed all the way to the title screen but it's still smaller and easier to decipher than the previous one.

 

As far as I can tell, the mods don't interact with each other or any common parts, so how/why this happens? All I can say is "good luck!"

This error is back; I've only just got around to moving this into 1.5.x as almost everything else had updated, and on boot I found the exact same issues as before. As I still don't use RealPlume, I'm just gonna edit out those parts of the patches for my own use, but they really need another look when someone who knows more about everything involved has a chance.

ETA: inspection of the log file shows that the problem appears this time to be related to the pathing within the RealPlume patches, even though those versions of the patches shouldn't be getting applied on my system. Example:

[ERR 23:32:44.649] [ModuleManager] Error - Cannot parse variable search when inserting new key localRotation = #$../../../PLUME[Turbofan]/localRotation[0]$,$../../../PLUME[Turbofan]/localRotation[1]$,$../../../PLUME[Turbofan]/localRotation[2]$

There was discussion before about issues when using NEEDS: and FOR: in the same line, and that's part of the checks used to apply these sections of the patches.

Edited by JH4C
further explanation

Share this post


Link to post
Share on other sites

I have updated the configs to be compatible with @JadeOfMaar's Plume Party mod as well as the recently released ReStock mod.

This zip contains no sounds, only .cfg files! Install JSC from spacedock first, then unzip this zip on top of it, over writing the old configs.

https://drive.google.com/file/d/1j54oh320LiUj_YJsG7dFNdyqhfEpAr-U/view?usp=drivesdk

Share this post


Link to post
Share on other sites

Just a quick FYI, the J-20 'Juno' is probably closer to the Junkers Jumo 004 axle-float turbojet that powered the Messerschmitt Me 262. Otherwise, this continuation is great for those of us who use realism overhaul or who just want different sounds for the jets.

Share this post


Link to post
Share on other sites

Anyone else using RealPlume 11.2 and hear both stock and JSC sounds combined on the stock jet engines?  If I revert back to RealPlume 11.1, no issues.  This is with KSP 1.7.1 and RealPlume Stock v1.3.1 configs.

Share this post


Link to post
Share on other sites

After what has been WAY too long without an update, this mod has skyrocketed in complexity since the last time I released an update made by me. Everyone looks to be doing one heck of a job with making new configs and adding support. Can someone link the most recent community version of this mod so I can take a look and get it officially updated? Maybe I can also learn how compatibility works.

Share this post


Link to post
Share on other sites

Just a reminder to all who use realplume and install it manually.  Don't forget Smokescreen.  You will get the 101 MM errors mentioned earlier without it.  

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.